cURL
curl https://api.goshippo.com/manifests/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.manifests.list()
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.manifests.list();
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->manifests->list(
page: 1,
results: 5,
shippoApiVersion: '2018-02-08'
);
if ($response->manifestPaginatedList !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Manifests.ListAsync(
page: 1,
results: 5,
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.ListManifestsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListManifestsResponse res = sdk.manifests().list()
.page(1L)
.results(5L)
.shippoApiVersion("2018-02-08")
.call();
if (res.manifestPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/manifests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/manifests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"carrier_account": "adcfdddf8ec64b84ad22772bce3ea37a",
"shipment_date": "2014-05-16T23:59:59Z",
"address_from": "d799c2679e644279b59fe661ac8fa488",
"documents": [
"https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
],
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_updated": "2023-11-07T05:31:56Z",
"status": "SUCCESS",
"transactions": [
"adcfdddf8ec64b84ad22772bce3ea37a"
],
"errors": [
"<string>"
]
}
]
}{}Manifests
List all manifests
Returns a list of all manifest objects.
GET
/
manifests
cURL
curl https://api.goshippo.com/manifests/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.manifests.list()
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.manifests.list();
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->manifests->list(
page: 1,
results: 5,
shippoApiVersion: '2018-02-08'
);
if ($response->manifestPaginatedList !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Manifests.ListAsync(
page: 1,
results: 5,
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.ListManifestsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListManifestsResponse res = sdk.manifests().list()
.page(1L)
.results(5L)
.shippoApiVersion("2018-02-08")
.call();
if (res.manifestPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/manifests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/manifests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"carrier_account": "adcfdddf8ec64b84ad22772bce3ea37a",
"shipment_date": "2014-05-16T23:59:59Z",
"address_from": "d799c2679e644279b59fe661ac8fa488",
"documents": [
"https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
],
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_updated": "2023-11-07T05:31:56Z",
"status": "SUCCESS",
"transactions": [
"adcfdddf8ec64b84ad22772bce3ea37a"
],
"errors": [
"<string>"
]
}
]
}{}Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
Example:
"2018-02-08"
Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the Platform accounts guide.
Query Parameters
The page number you want to select
The number of results to return per page (max 100, default 5)
Required range:
x <= 100Was this page helpful?
⌘I